org.apache.ivy.plugins.resolver

## Class SFTPResolver

- java.lang.Object
- - org.apache.ivy.plugins.resolver.AbstractResolver
  - - org.apache.ivy.plugins.resolver.BasicResolver
    - - org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver
      - - org.apache.ivy.plugins.resolver.RepositoryResolver
        - - org.apache.ivy.plugins.resolver.AbstractSshBasedResolver
          - - org.apache.ivy.plugins.resolver.SFTPResolver

All Implemented Interfaces:
  Validatable, DependencyResolver, HasLatestStrategy

    public class SFTPResolver
    extends AbstractSshBasedResolver

This resolver is able to work with any sftp server. It supports listing and publishing. The server host should absolutely be set using setHost. basedir defaults to . port default to 22 username and password will be prompted using a dialog box if not set. So if you are in an headless environment, provide username and password.

### Field Summary

### Fields inherited from class org.apache.ivy.plugins.resolver.BasicResolver

`DATE_FORMAT, DESCRIPTOR_OPTIONAL, DESCRIPTOR_REQUIRED`

### Constructor Summary

Constructors
Constructor and Description
`SFTPResolver()`

### Method Summary

Methods
`SFTPRepository` `getSFTPRepository()`
`java.lang.String` `getTypeName()`

### Methods inherited from class org.apache.ivy.plugins.resolver.AbstractSshBasedResolver

`setAllowedAgentUse, setHost, setKeyFile, setKeyFilePassword, setPassfile, setPort, setSettings, setUser, setUserPassword`

### Methods inherited from class org.apache.ivy.plugins.resolver.RepositoryResolver

`download, dumpSettings, exist, findResourceUsingPattern, findTokenValues, get, getDestination, getRepository, getResource, isAlwaysCheckExactRevision, listResources, listTokenValues, publish, put, putChecksum, putSignature, setAlwaysCheckExactRevision, setName, setRepository, setSettings, setSigner`

### Methods inherited from class org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver

`addArtifactPattern, addConfiguredArtifact, addConfiguredIvy, addIvyPattern, convertM2IdForResourceSearch, convertM2OrganizationForResourceSearch, convertM2ResourceSearchIdToNormal, convertM2TokenValuesForResourceSearch, findArtifactNames, findArtifactRef, findIvyFileRef, findIvyNames, findNames, findResource, findResourceUsingPatterns, getArtifactPatterns, getIvyPatterns, getModuleDescriptorExtension, isM2compatible, listTokenValues, setArtifactPatterns, setIvyPatterns, setM2compatible`

### Methods inherited from class org.apache.ivy.plugins.resolver.BasicResolver

`acceptLatest, checkModuleDescriptorRevision, clearArtifactAttempts, clearIvyAttempts, doFindArtifactRef, download, exists, filterNames, findFirstArtifactRef, getAndCheck, getArtifactRef, getChecksumAlgorithms, getDefaultRMDParser, getDependency, getPublicationDate, getRMDParser, getWorkspaceName, isAllownomd, isCheckconsistency, isEnvDependent, isForce, listModules, listOrganisations, listRevisions, listTokenValues, locate, logArtifactAttempt, logAttempt, logIvyAttempt, parse, reportFailure, reportFailure, setAllownomd, setCheckconsistency, setChecksums, setDescriptor, setEnvDependent, setForce, setWorkspaceName, shouldReturnResolvedModule, toString`

### Methods inherited from class org.apache.ivy.plugins.resolver.AbstractResolver

`abortPublishTransaction, beginPublishTransaction, checkInterrupted, checkLatest, commitPublishTransaction, doValidate, findModuleInCache, findModuleInCache, fromSystem, fromSystem, getCacheDownloadOptions, getCacheOptions, getChangingMatcherName, getChangingPattern, getDownloadOptions, getEventManager, getLatest, getLatestStrategy, getName, getNamespace, getParserSettings, getRepositoryCacheManager, getSettings, getSystemNode, hidePassword, isAfter, isValidate, saveModuleRevisionIfNeeded, setCache, setChangingMatcher, setChangingPattern, setCheckmodified, setEventManager, setLatest, setLatestStrategy, setNamespace, setRepositoryCacheManager, setValidate, toSystem, toSystem, toSystem, toSystem, toSystem, toSystem, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SFTPResolver

    public SFTPResolver()

### Method Detail

#### getTypeName

    public java.lang.String getTypeName()

Specified by:
  `getTypeName` in class `AbstractSshBasedResolver`

#### getSFTPRepository

    public SFTPRepository getSFTPRepository()